/**
 * Copyright 2007-2008 Bagotios
 */

class AdvancedUTCTFHUD extends UTCTFHUD config(AdvancedScoreBoardV06);

var bool bNeedLoading;
var config bool bFirstRun;
//clantag type
var config int CTType;
var config bool bDisplayAdditionalInformation;

function DrawHud()
{
	if(bNeedLoading)
		if(PlayerOwner != None)
		{
			(UTPlayerController(PlayerOwner)).LoadSettingsFromProfile(True);
			bNeedLoading = false;
		}
	if(bFirstRun)
	{
		if(PlayerOwner != None)
		{
			(UTPlayerController(PlayerOwner)).ClientMessage("This is the first time you are using Advanced Scoreboard in a CTF match.");
			(UTPlayerController(PlayerOwner)).ClientMessage("To set up the client side settings you can either change the");
			(UTPlayerController(PlayerOwner)).ClientMessage("config file (UTAdvancedScoreBoardVXX.ini). Or type 'as help'.");
			bFirstRun = false;
			SaveConfig();
		}
	}

	Super.DrawHud();
}

exec function as(string s)
{
	s = Caps(s);

	if(s == "HELP")
		class'AdvancedScoreboardUtils'.static.ShowHelp((UTPlayerController(PlayerOwner)));
	else if(s == "TOGGLEADDITIONALINFORMATION")
	{
		bDisplayAdditionalInformation = !bDisplayAdditionalInformation;
		if(!bDisplayAdditionalInformation)
			class'AdvancedScoreboardUtils'.static.Deactivated((UTPlayerController(PlayerOwner)), "Additional information");
		else if(bDisplayAdditionalInformation)
			class'AdvancedScoreboardUtils'.static.Activated((UTPlayerController(PlayerOwner)), "Additional information");
		SaveConfig();
	}
	else if(Left(s, 9) == "SETCTTYPE")
	{
		if(int(Right(s, 1)) <= 3 && int(Right(s, 1)) >= 0)
		{
			CTType = int(Right(s, 1));
			class'AdvancedScoreboardUtils'.static.ChangedCTType((UTPlayerController(PlayerOwner)), CTType);
			SaveConfig();
		}
	}
}

defaultproperties
{
	ScoreboardSceneTemplate=Scoreboard_CTF'UI_Scenes_Scoreboards_AdvancedV06.sbCTF'
	Name="Default__AdvancedUTCTFHUD"
	bNeedLoading = true;
	bFirstRun = true;
	bDisplayAdditionalInformation = true;
	CTType = 0;
}