/**
 * Copyright 2007-2008 Bagotios
 */

class AdvancedUTOnsScoreboardPanel extends AdvancedUTCTFScoreboardPanel;

/** Sets the header strings using localized values
 * Assumption: Only called once per map, right point to init our ClientData
 */
function SetHeaderStrings()
{
	HeaderTitle_Name = Localize( "Scoreboards", "Name", "UTGameUI" );
	//HeaderTitle_Score = Localize( "Scoreboards", "Score", "UTGameUI" );
	HeaderTitle_Score = "Points/Kills";
}

function PostInitialize()
{
	Super. PostInitialize();

	if(bDisplayAdditionalInformation)
	{
		HighlightPad = 6.0f;
		PlayerNamePad = 1.0f;
	}

	bDisplayAdditionalInformation = (AdvancedUTOnslaughtHUD(UTHudSceneOwner.GetPlayerHud())).bDisplayAdditionalInformation;
	CTType = (AdvancedUTOnslaughtHUD(UTHudSceneOwner.GetPlayerHud())).CTType;
}

/**
 * Add more information
 */
function string GetLowerRightMisc(UTPlayerReplicationInfo PRI)
{
	local ONSASUTLPRI LRI;
	LRI = ONSASUTLPRI(GetLRI(PRI));

	if(PRI.WorldInfo.NetMode != NM_Standalone && (int(PRI.WorldInfo.TimeSeconds) % 20) < 10 && LRI != None) 
		return "Nodes Hld: " $ LRI.NodesHealed $ "  Nodes Dstrd: " $ LRI.NodesDestroyed $ "  Nodes Blt: " $ LRI.NodesBuilt;
	else if(PRI.WorldInfo.NetMode != NM_Standalone && (int(PRI.WorldInfo.TimeSeconds) % 20) >= 10 && LRI != None)
		return "Coredamage: " $ LRI.CoresDamaged $ "  Cores Destroyed: " $ LRI.CoresDestroyed;
	
	return "";
}